Subject: mushroom growers?

From: [email-masked] (Lebzelter, Susan )
Date: 31 Mar 1995 01:23:53 GMT

Does anyone know of a discussion group where I could post questions
regarding growing shitake mushrooms?  I have a few ricks of mushrooms and
plan to innoculate more soon.  Would also be happy to share what I have
learned so far if anyone is interested in doing the same.  Thanks,